Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154793 - kudzu detects AVM A1 PCI ISDN card as network card
Summary: kudzu detects AVM A1 PCI ISDN card as network card
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kudzu
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 08:03 UTC by Peter Bieringer
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 18:26:21 UTC


Attachments (Terms of Use)

Description Peter Bieringer 2005-04-14 08:03:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.6) Gecko/20050321 Firefox/1.0.2

Description of problem:
kudzu detects AVM A1 PCI ISDN card as network card, which is wrong

Version-Release number of selected component (if applicable):
kudzu-1.1.95.8-1

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4
2. Poweroff
3. Plug-in of AVM A1 ISDN card
  

Actual Results:  kudzu detects it as network card, create following file:

# cat /etc/sysconfig/network-scripts/ifcfg-eth1
# AVM Audiovisuelles MKTG & Computer System GmbH A1 ISDN [Fritz]
DEVICE=eth1
ONBOOT=yes
BOOTPROTO=dhcp


Expected Results:  Detecting it as ISDN card.

Additional info:

lspci information:

01:09.0 Class 0280: 1244:0a00 (rev 02)
        Subsystem: 1244:0a00
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at ff8ffc00 (32-bit, non-prefetchable) [size=32]
        Region 1: I/O ports at df80 [size=32]



01:09.0 Network controller: AVM Audiovisuelles MKTG & Computer System GmbH A1 ISDN [Fritz] (rev 02)
        Subsystem: AVM Audiovisuelles MKTG & Computer System GmbH FRITZ!Card ISDN Controller
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at ff8ffc00 (32-bit, non-prefetchable) [size=32]
        Region 1: I/O ports at df80 [size=32]


Similar bugs were already reported:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=116855 (Elsa ISDN card)
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=116855 (AVM ISDN card)

Comment 1 Bill Nottingham 2005-04-14 16:26:00 UTC
Unfortunately, the 'Network controller' class is used for other network cards as
well.


Note You need to log in before you can comment on or make changes to this bug.